#ifndef CopyFilesDialog_h
#define CopyFilesDialog_h

// $Id: CopyFilesDialog.h,v 1.3 2013/04/29 18:27:12 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "FileInfoModel.h"
#include "QuestionDialog.h"

//! QDialog used to commit selected files
class CopyFilesDialog: public QuestionDialog
{

    Q_OBJECT

    public:

    //! constructor
    CopyFilesDialog( QWidget*, const FileInfo::List&, const File& );

    //! destructor
    virtual ~CopyFilesDialog( void )
    {}

    private:

    //! model
    FileInfoModel model_;

};

#endif
