#ifndef IconNames_h
#define IconNames_h

// $Id: IconNames.h,v 1.2 2014/07/25 08:30:43 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "BaseIconNames.h"
#include <QString>

//! namespace for icon static name wrappers
namespace IconNames
{
    static const QString Document = "application-x-zerosize.png";
    static const QString Folder = "folder.png";

    static const QString Connect = "network-connect.png";
    static const QString Connection = "connection-large.png";
    static const QString ClearHistory = "edit-clear-history.png";

    static const QString SaveAs = "document-save-as.png";
    static const QString Abort = "edit-delete.png";
    static const QString Move = "go-jump.png";
    static const QString Parent = "go-up.png";
    static const QString PreviousDirectory = "go-previous.png";
    static const QString NextDirectory = "go-next.png";
    static const QString Home = "go-home.png";
    static const QString CreateDirectory = "folder-new.png";

    static const QString Clear = "user-trash.png";

};

#endif
